Bug 331651 - Review Request: ltsp-server - LTSP5 server-side configurations and setup scripts
Review Request: ltsp-server - LTSP5 server-side configurations and setup scripts
Status: CLOSED DUPLICATE of bug 331731
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 330921 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-14 23:49 EDT by Eric Harrison
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 13:59:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Harrison 2007-10-14 23:49:07 EDT
Spec URL: http://k12linux.mesd.k12.or.us/K12LTSP/source/ltsp-server-utils/ltsp-server-utils.spec
SRPM URL: http://k12linux.mesd.k12.or.us/K12LTSP/source/ltsp-server-utils/ltsp-server-utils-0-2.fc8.src.rpm
Description: LTSP5 server-side utilities for thin-client chroots/boot images
Comment 1 Eric Harrison 2007-10-17 17:09:04 EDT
Fixed README.

Spec URL:
http://k12linux.mesd.k12.or.us/K12LTSP/source/ltsp-server-utils/ltsp-server-utils.spec
SRPM URL:
http://k12linux.mesd.k12.or.us/K12LTSP/source/ltsp-server-utils/ltsp-server-utils-0-3.fc8.src.rpm
Description: LTSP5 server-side utilities for thin-client chroots/boot images
Comment 2 Patrice Dumas 2007-10-17 20:21:25 EDT
Maybe this should be merged in the ltsp-server-config package?
There are once again config which is common with the other
package, I think that it should be common.

where is ltsp-client?

I think that there should be support for all architectures 
right now.

Comment 3 Eric Harrison 2007-10-17 20:26:38 EDT
I originally had ltsp-server-config & ltsp-server-utils in a single ltsp-server
package. I thought it would be easier for people to get their heads around them
if they were spit into to different packages. 

I'm game for merging them back into one.

I'll open a review for ltsp-client - I have not cleaned that one up at all yet.
Warren was looking at it, I'll ping him to see if he has done any of the grunt
work yet.

As for ltsp-server-utils, here is a bug fix,
/etc/sysconfig/ltsp-build-client pointed to the wrong kickstart file

Spec URL:
http://k12linux.mesd.k12.or.us/K12LTSP/source/ltsp-server-utils/ltsp-server-utils.spec
SRPM URL:
http://k12linux.mesd.k12.or.us/K12LTSP/source/ltsp-server-utils/ltsp-server-utils-0-4.fc8.src.rpm
Comment 4 Eric Harrison 2007-10-17 21:20:21 EDT
ltsp-client: https://bugzilla.redhat.com/show_bug.cgi?id=336911

Here is what the merged ltsp-server-utils & ltsp-server-config looks like (it
builds, but is untested):

Spec URL:
http://k12linux.mesd.k12.or.us/K12LTSP/source/ltsp-server/ltsp-server.spec
SRPM URL:
http://k12linux.mesd.k12.or.us/K12LTSP/source/ltsp-server/ltsp-server-0-7.fc8.src.rpm

Comment 5 Patrice Dumas 2007-10-18 04:31:17 EDT
Timestamps on README should be kept, with
cp -p %{SOURCE1} .

in %install, sysconfdir should be treated like other dirs (my bad),
(and same for var):
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
cp -a etc/* $RPM_BUILD_ROOT%{_sysconfdir}

Still unowned directories
/tftpboot/ltsp5/pxe/
/var/opt/ltsp5/

Requires on /sbin/restorecon missing.

Both ltsp-update-kernels and ltsp-build-client should be arranged
to be able to build more than one arch (maybe by being wrapped in 
another script).

It seems to me that ltsp-initialize should call ltsp-build-client
and ltsp-update-kernels.

A dot at the end of the %description is missing.

Also the pxelinux.0 should have a -p and a comment explaining
why it is not possible to have a link.
Comment 6 Patrice Dumas 2007-10-18 04:40:06 EDT
*** Bug 330921 has been marked as a duplicate of this bug. ***
Comment 7 Patrice Dumas 2007-10-18 05:01:08 EDT
Shouldn't vnc-ltsp-config also be merged in this package?
Comment 8 Patrice Dumas 2007-10-18 05:04:46 EDT
You should %ghost %{_sysconfdir}/ltsp-dhcpd.conf (I am not
sure that it is right, but I guess so).
Comment 9 Patrice Dumas 2007-10-18 05:13:28 EDT
/usr/share/ltsp5/config/ltsp-dhcpd.conf is still executable.
Comment 10 Warren Togami 2007-10-19 13:07:24 EDT
For clarity, please insert a newline between each changelog entry.  You can go
back and add it after-the-fact in the next srpm.

--- etc/rc.d/init.d/ltsp-dhcpd.orig     2007-10-19 13:04:51.000000000 -0400
+++ etc/rc.d/init.d/ltsp-dhcpd  2007-10-19 13:05:05.000000000 -0400
@@ -14,7 +14,7 @@
 #
 # The fields below are left around for legacy tools (will remove later).
 #
-# chkconfig: - 65 35
+# chkconfig: - 98 35
 # description: dhcpd provides the Dynamic Host Configuration Protocol (DHCP) \
 #              server
 # processname: dhcpd

Please change the startup priority of ltsp-dhcpd to 98.  This will allow
smoother testing of KVM guest-as-client by starting up after libvirtd had
started the network.  This should also be a safe change.
Comment 11 Eric Harrison 2007-10-19 13:59:56 EDT

*** This bug has been marked as a duplicate of 331731 ***

Note You need to log in before you can comment on or make changes to this bug.